if ("undefined" == typeof(DisplayQuotaOptions)) {  
  var DisplayQuotaOptions = {
          debug: false,
      
          // if the user click on "OK"
          onAccept: function() {   
                  var warnpercent = document.getElementById('DisplayQuotaFirstWarnPercent');
                  var whenusenotif = document.getElementById('DisplayQuotaWhenUseNotif');

                  var DisplayQuotaPrefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);

                  DisplayQuotaPrefs.setIntPref("extension.displayquota.warnpercent",warnpercent.getAttribute("value"));
                  if(this.debug) dump("Whenusenotif: " + whenusenotif.getAttribute("value"));
                  DisplayQuotaPrefs.setIntPref("extension.displayquota.whenusenotif",whenusenotif.getAttribute("value"));
          },


          // get values from the prefs
          onLoad: function() {
                  var warnpercent;
                  var whenusenotif;
                  var DisplayQuotaPrefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);
                  var warnpercentlist = document.getElementById('DisplayQuotaFirstWarnPercent');
                  var whenusenotiflist = document.getElementById('DisplayQuotaWhenUseNotif');

                  // setting up the dialog with the preferences' values
                  if (DisplayQuotaPrefs.getPrefType("extension.displayquota.warnpercent") == DisplayQuotaPrefs.PREF_INT){
                          warnpercent = DisplayQuotaPrefs.getIntPref("extension.displayquota.warnpercent");
                          var elements = warnpercentlist.getElementsByAttribute("value",warnpercent);
                          warnpercentlist.selectedItem = elements[0];
                  } 

                  if (DisplayQuotaPrefs.getPrefType("extension.displayquota.whenusenotif") == DisplayQuotaPrefs.PREF_INT) {
                          whenusenotif = DisplayQuotaPrefs.getIntPref("extension.displayquota.whenusenotif");
                          if(this.debug) dump("got usenotif from prefs: " + whenusenotif);
                          var elements = whenusenotiflist.getElementsByAttribute("value",whenusenotif);
                          whenusenotiflist.selectedItem = elements[0];
                  } else {
                          whenusenotif = 2;
                          if(this.debug) dump("no usenotif from prefs: " + whenusenotif);
                          var elements = whenusenotiflist.getElementsByAttribute("value",whenusenotif);
                          whenusenotiflist.selectedItem = elements[0];                  
                  } 
          },
          
      // largerBar
      largerBar: function() {
	var progressbar = window.opener.document.getElementById('DisplayQuota-progress-icon');
	var progressbarwidth = progressbar.getAttribute('width');
	
	if(progressbarwidth<400) progressbarwidth++;
	else progressbarwidth=400;

	progressbar.setAttribute("width",progressbarwidth);
	
	var DisplayQuotaPrefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);
	DisplayQuotaPrefs.setIntPref("extension.displayquota.progressbarwidth",progressbarwidth);
      },

      // smallerBar
      smallerBar: function() {
	var progressbar = window.opener.document.getElementById('DisplayQuota-progress-icon');
	var progressbarwidth = progressbar.getAttribute('width');
	
	if(progressbarwidth>100) progressbarwidth--;
	else progressbarwidth=100;

	progressbar.setAttribute("width",progressbarwidth);
	var DisplayQuotaPrefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);
	DisplayQuotaPrefs.setIntPref("extension.displayquota.progressbarwidth",progressbarwidth);
      },          
  };
}